### Class

# Gtk NamedAction

#### Description [src]

    final class Gtk.NamedAction : Gtk.ShortcutAction
    {
      /* No available fields */
    }

Activates a named action.

See `gtk_widget_class_install_action()` and `gtk_widget_insert_action_group()` for ways to associate named actions with widgets.

#### Ancestors

- GtkShortcutAction
- GObject

#### Constructors

###### gtk_named_action_new

Creates an action that when activated, activates the named action on the widget.

#### Instance methods

###### gtk_named_action_get_action_name

Returns the name of the action that will be activated.

##### Methods inherited from GtkShortcutAction (3)

###### gtk_shortcut_action_activate

Activates the action on the `widget` with the given `args`.

###### gtk_shortcut_action_print

Prints the given action into a string for the developer.

###### gtk_shortcut_action_to_string

Prints the given action into a human-readable string.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.NamedAction:action-name

The name of the action to activate.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkNamedActionClass {
      /* no available fields */
    }

No description available.